<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>OperatingSystem (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="OperatingSystem (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/platform/OperatingSystem.html" target="_top">Frames</a></li>
<li><a href="OperatingSystem.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform.platform</div>
<h2 title="Interface OperatingSystem" class="title">Interface OperatingSystem</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">OperatingSystem</span>
extends <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></pre>
<div class="block">A machine operating system.

 <table>
     <tr>
         <th>Operating System</th>
         <th>Aliases</th>
     </tr>
     <tr>
         <td>Windows</td>
         <td>"windows"</td>
     </tr>
     <tr>
         <td>GNU/Linux</td>
         <td>"linux"</td>
     </tr>
     <tr>
         <td>Mac OS X</td>
         <td>"osx", "mac os x", "darwin"</td>
     </tr>
     <tr>
         <td>Solaris</td>
         <td>"solaris", "sunos"</td>
     </tr>
 </table></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#getDisplayName()">getDisplayName</a></strong>()</code>
<div class="block">Returns a human-consumable display name for this operating system.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#getName()">getName</a></strong>()</code>
<div class="block">The object's name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#isCurrent()">isCurrent</a></strong>()</code>
<div class="block">Is this the current OS?</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#isFreeBSD()">isFreeBSD</a></strong>()</code>
<div class="block">Is it FreeBSD?</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#isLinux()">isLinux</a></strong>()</code>
<div class="block">Is it Linux?</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#isMacOsX()">isMacOsX</a></strong>()</code>
<div class="block">Is it Mac OS X?</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#isSolaris()">isSolaris</a></strong>()</code>
<div class="block">Is it Solaris?</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/platform/OperatingSystem.html#isWindows()">isWindows</a></strong>()</code>
<div class="block">Is it Windows?</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/Named.html#getName()">Named</a></code></strong></div>
<div class="block">The object's name.
 <p>
 Must be constant for the life of the object.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/Named.html#getName()">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The name. Never null.</dd></dl>
</li>
</ul>
<a name="getDisplayName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayName</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDisplayName()</pre>
<div class="block">Returns a human-consumable display name for this operating system.</div>
</li>
</ul>
<a name="isCurrent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCurrent</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isCurrent()</pre>
<div class="block">Is this the current OS?</div>
</li>
</ul>
<a name="isWindows()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWindows</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isWindows()</pre>
<div class="block">Is it Windows?</div>
</li>
</ul>
<a name="isMacOsX()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMacOsX</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isMacOsX()</pre>
<div class="block">Is it Mac OS X?</div>
</li>
</ul>
<a name="isLinux()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLinux</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isLinux()</pre>
<div class="block">Is it Linux?</div>
</li>
</ul>
<a name="isSolaris()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSolaris</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isSolaris()</pre>
<div class="block">Is it Solaris?</div>
</li>
</ul>
<a name="isFreeBSD()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isFreeBSD</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isFreeBSD()</pre>
<div class="block">Is it FreeBSD?</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/platform/NativePlatform.html" title="interface in org.gradle.nativeplatform.platform"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/platform/OperatingSystem.html" target="_top">Frames</a></li>
<li><a href="OperatingSystem.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
